This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502600 - Review Request: ocaml-ancient - OCaml library for large memory structures and sharing
Review Request: ocaml-ancient - OCaml library for large memory structures and...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 08:13 EDT by Richard W.M. Jones
Modified: 2009-07-03 15:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-26 08:13:12 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-ancient.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-ancient-0.9.0-1.fc11.src.rpm
Description: 
Ancient is an OCaml module that allows you to use in-memory data
structures which are larger than available memory and so are kept in
swap. If you try this in normal OCaml code, you'll find that the
machine quickly descends into thrashing as the garbage collector
repeatedly iterates over swapped memory structures. This module lets
you break that limitation. Of course the module doesn't work by magic.
If your program tries to access these large structures, they still
need to be swapped back in, but it is suitable for large, sparsely
accessed structures.

Secondly, this module allows you to share those structures between
processes. In this mode, the structures are backed by a disk file, and
any process that has read/write access to that disk file can map that
file in and see the structures.
Comment 1 Richard W.M. Jones 2009-05-26 08:15:04 EDT
rpmlint is silent on this package.

Koji scratch-build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1376891
Comment 2 Jason Tibbitts 2009-06-04 00:01:34 EDT
Indeed, builds fine and rpmlint finds nothing to whine about.

I note there are what seem to three test files in the tarball.  Could they be run at package build time?  It doesn't really look like it (at least one is interactive) but I figured I'd ask.

I can't find anything wrong, so I'll just assume that the test stuff isn't useful for a build-time test and approve this.

* source files match upstream.  sha256sum:
   ef2e30318170b914527285dcb4c0ecfa138a0cdcef462ca874bb986b3840ce76  
   ancient-0.9.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  ocaml-ancient-0.9.0-1.fc11.x86_64.rpm
   dllancient.so()(64bit)
   ocaml(Ancient) = a808df18618232a19217dd1014d99175
   ocaml-ancient = 0.9.0-1.fc11
   ocaml-ancient(x86-64) = 0.9.0-1.fc11
  =
   ocaml(Pervasives) = 88cb1505c8bdf9a4dcd2cdf3452732b4
   ocaml(Unix) = 0596a58544f8cd88fed5bf5432a53d43
   ocaml(runtime) = 3.11.0

  ocaml-ancient-devel-0.9.0-1.fc11.x86_64.rpm
   ocaml-ancient-devel = 0.9.0-1.fc11
   ocaml-ancient-devel(x86-64) = 0.9.0-1.fc11
  =
   ocaml-ancient = 0.9.0-1.fc11

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
* .cmo, .o and .ml files not included
* .so files have no rpath

APPROVED
Comment 3 Richard W.M. Jones 2009-06-04 03:49:17 EDT
Yes, I'll have a look at running the tests when I upload.
Thanks for reviewing this package.

New Package CVS Request
=======================
Package Name: ocaml-ancient
Short Description: OCaml library for large memory structures and sharing
Owners: rjones
Branches: F-10 F-11
InitialCC:
Comment 4 Jason Tibbitts 2009-06-04 11:36:57 EDT
CVS done.
Comment 5 Fedora Update System 2009-06-04 13:52:07 EDT
ocaml-ancient-0.9.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ocaml-ancient-0.9.0-1.fc11
Comment 6 Fedora Update System 2009-06-04 13:54:19 EDT
ocaml-ancient-0.9.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ocaml-ancient-0.9.0-1.fc10
Comment 7 Fedora Update System 2009-06-15 21:34:35 EDT
ocaml-ancient-0.9.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ocaml-ancient'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6075
Comment 8 Fedora Update System 2009-06-15 22:07:36 EDT
ocaml-ancient-0.9.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ocaml-ancient'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6304
Comment 9 Fedora Update System 2009-07-03 15:40:18 EDT
ocaml-ancient-0.9.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-03 15:56:08 EDT
ocaml-ancient-0.9.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.